/*
 	File:		Scrap.h
 
 	Copyright:	 1984-1994 by Apple Computer, Inc.
 				All rights reserved.
 
 	Version:	Universal Interfaces 2.0a3  ETO #16, MPW prerelease.  Friday, November 11, 1994. 
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
*/

#ifndef __SCRAP__
#define __SCRAP__


#ifndef __TYPES__
#include <Types.h>
#endif
/*	#include <ConditionalMacros.h>								*/

#ifdef __cplusplus
extern "C" {
#endif

#if GENERATINGPOWERPC
#pragma options align=mac68k
#endif

#ifdef __CFM68K__
#pragma lib_export on
#endif

struct ScrapStuff {
	long							scrapSize;
	Handle							scrapHandle;
	short							scrapCount;
	short							scrapState;
	StringPtr						scrapName;
};
typedef struct ScrapStuff ScrapStuff;

typedef ScrapStuff *PScrapStuff, *ScrapStuffPtr;

extern pascal ScrapStuffPtr InfoScrap(void)
 ONEWORDINLINE(0xA9F9);
extern pascal long UnloadScrap(void)
 ONEWORDINLINE(0xA9FA);
extern pascal long LoadScrap(void)
 ONEWORDINLINE(0xA9FB);
extern pascal long GetScrap(Handle hDest, ResType theType, long *offset)
 ONEWORDINLINE(0xA9FD);
extern pascal long ZeroScrap(void)
 ONEWORDINLINE(0xA9FC);
extern pascal long PutScrap(long length, ResType theType, void *source)
 ONEWORDINLINE(0xA9FE);

#ifdef __CFM68K__
#pragma lib_export off
#endif

#if GENERATINGPOWERPC
#pragma options align=reset
#endif

#ifdef __cplusplus
}
#endif

#endif /* __SCRAP__ */
