{
 	File:		CMComponent.p
 
 	Copyright:	 1984-1994 by Apple Computer, Inc.
 				All rights reserved.
 
 	Version:	Universal Interfaces 2.0a3  ETO #16, MPW prerelease.  Friday, November 11, 1994. 
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
}

{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
 UNIT CMComponent;
 INTERFACE
{$ENDC}

{$IFC UNDEFINED __CMCOMPONENT__}
{$SETC __CMCOMPONENT__ := 1}

{$I+}
{$SETC CMComponentIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}


{$IFC UNDEFINED __TYPES__}
{$I Types.p}
{$ENDC}
{	ConditionalMacros.p											}

{$IFC UNDEFINED __QUICKDRAW__}
{$I Quickdraw.p}
{$ENDC}
{	MixedMode.p													}
{	QuickdrawText.p												}

{$IFC UNDEFINED __COMPONENTS__}
{$I Components.p}
{$ENDC}

{$IFC UNDEFINED __WINDOWS__}
{$I Windows.p}
{$ENDC}
{	Memory.p													}
{	Events.p													}
{		OSUtils.p												}
{	Controls.p													}
{		Menus.p													}

{$IFC UNDEFINED __CMAPPLICATION__}
{$I CMApplication.p}
{$ENDC}
{	Printing.p													}
{		Errors.p												}
{		Dialogs.p												}
{			TextEdit.p											}

{$PUSH}
{$ALIGN MAC68K}
{$LibExport+}

CONST
	CMInterfaceVersion			= 0;

{ CMM Component function selectors }
	kCMInit						= 0;
	kCMMatchColors				= 1;
	kCMGamutTest				= 2;
	kCMMatchPixMap				= 3;
	kCMCheckPixMap				= 4;
	kCMConcatenateProfiles		= 5;

{ Profile Responder Components }
	ProfileResponderInterfaceRev = 0;

{ ProfileResponder Component function selectors }
	kCMGetProfile				= 0;
	kCMSetProfile				= 1;
	kCMSetProfileDescription	= 2;
	kCMGetIndexedProfile		= 3;
	kCMDeleteDeviceProfile		= 4;
	kProfileResponderMaxSelector = kCMDeleteDeviceProfile;

	
TYPE
	ProfileResponder = ComponentInstance;

{ Required CMM Component routines }

FUNCTION CMInit(CMSession: ComponentInstance; srcProfile: CMProfileHandle; dstProfile: CMProfileHandle): CMError;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $0008, 0, $7000, $A82A;
	{$ENDC}
FUNCTION CMMatchColors(CMSession: ComponentInstance; myColors: CMColorList; count: LONGINT): CMError;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $0008, 1, $7000, $A82A;
	{$ENDC}
FUNCTION CMCheckColors(CMSession: ComponentInstance; myColors: CMColorList; count: LONGINT; result: CMGamutResult): CMError;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $000C, 2, $7000, $A82A;
	{$ENDC}
{ Optional CMM Component routines }
FUNCTION CMMatchPixMap(CMSession: ComponentInstance; VAR myPixMap: PixMap; progressProc: PixMapCallBackUPP; refCon: LONGINT): CMError;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $000c, 3, $7000, $A82A;
	{$ENDC}
FUNCTION CMCheckPixMap(CMSession: ComponentInstance; VAR myPixMap: PixMap; progressProc: PixMapCallBackUPP; VAR myBitMap: BitMap; refCon: LONGINT): CMError;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $0010, 4, $7000, $A82A;
	{$ENDC}
FUNCTION CMConcatenateProfiles(CMSession: ComponentInstance; thru: CMProfileHandle; dst: CMProfileHandle; VAR newDst: CMProfileHandle): CMError;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $000C, 5, $7000, $A82A;
	{$ENDC}
{ ProfileResponder Component routines }
FUNCTION CMGetProfile(myProfileResponder: ProfileResponder; aProfile: CMProfileHandle; VAR returnedProfile: CMProfileHandle): CMError;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $0008, 0, $7000, $A82A;
	{$ENDC}
FUNCTION CMSetProfile(myProfileResponder: ProfileResponder; newProfile: CMProfileHandle): CMError;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $0004, 1, $7000, $A82A;
	{$ENDC}
FUNCTION CMSetProfileDescription(myProfileResponder: ProfileResponder; DeviceData: LONGINT; hProfile: CMProfileHandle): CMError;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $0008, 2, $7000, $A82A;
	{$ENDC}
FUNCTION CMGetIndexedProfile(myProfileResponder: ProfileResponder; search: CMProfileSearchRecordHandle; VAR returnProfile: CMProfileHandle; VAR index: LONGINT): CMError;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $000C, 3, $7000, $A82A;
	{$ENDC}
FUNCTION CMDeleteDeviceProfile(myProfileResponder: ProfileResponder; deleteMe: CMProfileHandle): CMError;
	{$IFC NOT GENERATINGCFM}
	INLINE $2F3C, $0004, 4, $7000, $A82A;
	{$ENDC}

{$ALIGN RESET}
{$POP}

{$SETC UsingIncludes := CMComponentIncludes}

{$ENDC} {__CMCOMPONENT__}

{$IFC NOT UsingIncludes}
 END.
{$ENDC}
