{
 	File:		Finder.p
 
 	Copyright:	 1984-1994 by Apple Computer, Inc.
 				All rights reserved.
 
 	Version:	Universal Interfaces 2.0a3  ETO #16, MPW prerelease.  Friday, November 11, 1994. 
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
}

{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
 UNIT Finder;
 INTERFACE
{$ENDC}

{$IFC UNDEFINED __FINDER__}
{$SETC __FINDER__ := 1}

{$I+}
{$SETC FinderIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}


{$PUSH}
{$ALIGN MAC68K}
{$LibExport+}

CONST
{ Make only the following consts avaiable to resource files that include this file }
	kCustomIconResource			= -16455;						{ Custom icon family resource ID }
	kContainerFolderAliasType	= 'fdrp';						{ type for folder aliases }
	kContainerTrashAliasType	= 'trsh';						{ type for trash folder aliases }
	kContainerHardDiskAliasType	= 'hdsk';						{ type for hard disk aliases }
	kContainerFloppyAliasType	= 'flpy';						{ type for floppy aliases }
	kContainerServerAliasType	= 'srvr';						{ type for server aliases }
	kApplicationAliasType		= 'adrp';						{ type for application aliases }
	kContainerAliasType			= 'drop';						{ type for all other containers }
{ types for Special folder aliases }
	kSystemFolderAliasType		= 'fasy';
	kAppleMenuFolderAliasType	= 'faam';
	kStartupFolderAliasType		= 'fast';
	kPrintMonitorDocsFolderAliasType = 'fapn';
	kPreferencesFolderAliasType	= 'fapf';
	kControlPanelFolderAliasType = 'fact';
	kExtensionFolderAliasType	= 'faex';
{ types for AppleShare folder aliases }
	kExportedFolderAliasType	= 'faet';
	kDropFolderAliasType		= 'fadr';
	kSharedFolderAliasType		= 'fash';
	kMountedFolderAliasType		= 'famn';

{ Finder Flags }
	kIsOnDesk					= $1;
	kColor						= $E;
	kIsShared					= $40;
	kHasBeenInited				= $100;
	kHasCustomIcon				= $400;
	kIsStationery				= $800;
	kIsStationary				= $800;
	kNameLocked					= $1000;
	kHasBundle					= $2000;
	kIsInvisible				= $4000;
	kIsAlias					= $8000;


{$ALIGN RESET}
{$POP}

{$SETC UsingIncludes := FinderIncludes}

{$ENDC} {__FINDER__}

{$IFC NOT UsingIncludes}
 END.
{$ENDC}
