{
 	File:		Scrap.p
 
 	Copyright:	 1984-1994 by Apple Computer, Inc.
 				All rights reserved.
 
 	Version:	Universal Interfaces 2.0a3  ETO #16, MPW prerelease.  Friday, November 11, 1994. 
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
}

{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
 UNIT Scrap;
 INTERFACE
{$ENDC}

{$IFC UNDEFINED __SCRAP__}
{$SETC __SCRAP__ := 1}

{$I+}
{$SETC ScrapIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}


{$IFC UNDEFINED __TYPES__}
{$I Types.p}
{$ENDC}
{	ConditionalMacros.p											}

{$PUSH}
{$ALIGN MAC68K}
{$LibExport+}

TYPE
	ScrapStuff = RECORD
		scrapSize:				LONGINT;
		scrapHandle:			Handle;
		scrapCount:				INTEGER;
		scrapState:				INTEGER;
		scrapName:				StringPtr;
	END;
	PScrapStuff = ^ScrapStuff;
	ScrapStuffPtr = ^ScrapStuff;


FUNCTION InfoScrap: ScrapStuffPtr;
	{$IFC NOT GENERATINGCFM}
	INLINE $A9F9;
	{$ENDC}
FUNCTION UnloadScrap: LONGINT;
	{$IFC NOT GENERATINGCFM}
	INLINE $A9FA;
	{$ENDC}
FUNCTION LoadScrap: LONGINT;
	{$IFC NOT GENERATINGCFM}
	INLINE $A9FB;
	{$ENDC}
FUNCTION GetScrap(hDest: Handle; theType: ResType; VAR offset: LONGINT): LONGINT;
	{$IFC NOT GENERATINGCFM}
	INLINE $A9FD;
	{$ENDC}
FUNCTION ZeroScrap: LONGINT;
	{$IFC NOT GENERATINGCFM}
	INLINE $A9FC;
	{$ENDC}
FUNCTION PutScrap(length: LONGINT; theType: ResType; source: UNIV Ptr): LONGINT;
	{$IFC NOT GENERATINGCFM}
	INLINE $A9FE;
	{$ENDC}

{$ALIGN RESET}
{$POP}

{$SETC UsingIncludes := ScrapIncludes}

{$ENDC} {__SCRAP__}

{$IFC NOT UsingIncludes}
 END.
{$ENDC}
